import './index.css';
import './wave.css'
import React from "react"
import { NavLink } from "react-router-dom";
import OnlineToggle from '../OnlineTgl';
import { AppData } from "../../context/data"

export default function Header() {
  const [data] = React.useContext(AppData)

  return (
    <div className='app-header'>
      <h1 >
        CordaCheckers
      </h1>
      <OnlineToggle />
      <nav>
        <NavLink to="/about" className={""}>
          About
        </NavLink>
        <NavLink to="/game" className={data.gamesFetching && "woble"}>
          <span>G</span>
          <span>a</span>
          <span>m</span>
          <span>e</span>
        </NavLink>
        <NavLink to="/leaderboard" className={data.leaderboardFetching && "woble"}>
          <span>L</span>
          <span>e</span>
          <span>a</span>
          <span>d</span>
          <span>e</span>
          <span>r</span>
          <span>b</span>
          <span>o</span>
          <span>a</span>
          <span>r</span>
          <span>d</span>
        </NavLink>
      </nav>
    </div>
  )
}
